#
# spec file for package rubygem-cocoon
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-cocoon
Version:        1.2.12
Release:        1.3
%define mod_name cocoon
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/nathanvda/cocoon
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        gem that enables easier nested forms with standard forms, formtastic
License:        MIT
Group:          Development/Languages/Ruby

%description
Unobtrusive nested forms handling, using jQuery. Use this and discover
cocoon-heaven.

%prep

%build

%install
%gem_install \
  --doc-files="History.md MIT-LICENSE README.markdown" \
  -f

%gem_packages

%changelog
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.12
  see installed History.md
* Tue Oct 31 2017 dkang@suse.com
- updated to version 1.2.11
  no changelog found
* Tue May 23 2017 coolo@suse.com
- updated to version 1.2.10
  see installed History.md
* Tue Mar 22 2016 coolo@suse.com
- updated to version 1.2.9
  see installed History.md
* Thu Feb 25 2016 coolo@suse.com
- updated to version 1.2.8
  see installed History.md
* Thu Jan 28 2016 coolo@suse.com
- updated to version 1.2.7
  see installed History.md
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Mar 21 2014 coolo@suse.com
- updated to version 1.2.6
  * added some explicit documentation we use haml. Fixed the formtastic example.
  * "unfreeze" frozen objects. Fixes #193.
  * IE8 jquery fix (thanks @niuage).
  * merged #191 which fixes an issue with a monkeypatched CGI. For more info, see
  ticket #191. Thanks gsmendoza.
* Mon Dec  9 2013 coolo@suse.com
- updated to version 1.2.5
  * fix gem dependencies: we added gems to allow building for rubinius, but those are only
  needed when developing
  [#]# Version 1.2.4
  * the wrapper class is now configurable. Before it was assumed to be `nested-fields`.
  Now it is configurable by handing. See #180. Thanks Yoav Matchulsky.
  * fix build on travis-ci for rubinius (thanks brixen).
  [#]# Version 1.2.3
  * add license info
  [#]# Version 1.2.2
  * added option to add multiple items on one click. See #175.
  * cleaned up javascript code. See #171.
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.2.3, no changelog found
* Fri Oct  4 2013 coolo@suse.com
- updated to version 1.2.1
  * added a `:form_name` parameter (fixes #153) which allows to use a self-chosen
  parameter in the nested views. Up until now `f` was assumed (and enforced).
  * improvement of creation of the objects on the association (thanks to Dirk von Grünigen). This
  alleviates the need for the `:force_non_association_create` option in most cases.
  That option is for now still kept.
  * after validation errors, already deleted (but not saved) nested elements, will remain deleted
  (e.g. the state is remembered, and they remain hidden, and will be correctly deleted on next
  succesfull save) (fixes #136).
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.2.0
  * pull #118 (thanks @ahmozkya): remove the deprecated `.live` function, and use `.on` instead.
    Note: at least jquery 1.7 is required now!
* Wed Jan  9 2013 mbarringer@suse.com
- Initial check-in
